package org.kne.cloud.network.klalb.ui;

import java.awt.Font;
import java.net.NetworkInterface;
import java.util.List;

import org.kne.cloud.klalb.uitool.ListSettingItem;
import org.kne.cloud.klalb.uitool.XDefaultListModel;

public class NetworkInterfaceListSettingItem extends ListSettingItem<NetworkInterface>{

	private XDefaultListModel<NetworkInterface> model;

	public NetworkInterfaceListSettingItem(String text, Font deriveFont, int w, int h,
			XDefaultListModel<NetworkInterface> lm) {
		super(text, deriveFont, w, h, lm);
		this.model=lm;
	}

	public NetworkInterfaceListSettingItem(String text, int w, int h, XDefaultListModel<NetworkInterface> lm) {
		super(text, w, h, lm);
		this.model=lm;
	}

	@Override
	protected void runEdit(NetworkInterface val) {
		
	}

	@Override
	protected List<NetworkInterface> createEmpty() {
		new NetworkInterfaceSelector(model);
		return null;
	}
	
}
